/*
 * Created on 16-Sep-2003
 */
package pong.events;

import appia.protocols.group.events.GroupSendableEvent;

/**
 * Evento gerado pela interface do sistema quando o utilizador clica no boto Start.
 * @author nuno
 */
public class ButtonStartEvent extends GroupSendableEvent {

	private int paddle;

	public ButtonStartEvent(){
		super();
	}

	/**
	 * Devolve o nmero do Paddle (ou Jogador) que se quer inicializar.
	 * Este parametro dever ser colocado na mensagem caso se queira enviar pela rede.
	 * @return o nmero do Paddle (ou Jogador) que se quer inicializar.
	 */
	public int getPaddle() {
		return paddle;
	}

	/**
	 * Actualiza o nmero do Paddle (ou Jogador) que se quer inicializar.
	 * Este parametro dever ser colocado na mensagem caso se queira enviar pela rede.
	 * @param paddle
	 */
	public void setPaddle(int paddle) {
		this.paddle = paddle;
	}

}
