/*
 * Created on 15-Sep-2003
 */
package pong.events;

import java.awt.Point;

import appia.protocols.group.events.GroupSendableEvent;

/**
 * Evento gerado pela interface do sistema quando o utilizador move o rato sobre o campo do jogo.
 * @author nuno
 */
public class MouseMovedEvent extends GroupSendableEvent {

	private Point point;
	private int paddle;

	public MouseMovedEvent(){
		super();
	}

	/**
	 * Actualiza a posio actual do rato.
	 * Este parametro dever ser colocado na mensagem caso se queira enviar pela rede.
	 * @param point posio actual do rato.
	 */
	public void setPoint(Point point) {
		this.point = point;
	}

	/**
	 * Devolve a posio actual do Rato.
	 * Este parametro dever ser colocado na mensagem caso se queira enviar pela rede.
	 * @return a posio actual do Rato.
	 */
	public Point getPoint() {
		return point;
	}

	/**
	 * Actualiza o Paddle a ser movido.
	 * Este parametro dever ser colocado na mensagem caso se queira enviar pela rede.
	 * @param paddle o Paddle a ser movido.
	 */
	public void setPaddle(int paddle) {
		this.paddle = paddle;
	}

	/**
	 * Devolve o nmero do Paddle a ser movido.
	 * Este parametro dever ser colocado na mensagem caso se queira enviar pela rede.
	 * @return o nmero do Paddle a ser movido.
	 */
	public int getPaddle() {
		return paddle;
	}

}
