/*
 * Created on 15-Sep-2003
 */
package test;

import pong.events.ButtonStartEvent;
import pong.events.MouseMovedEvent;
import pong.events.MoveBallTimer;
import appia.Layer;
import appia.Session;
import appia.events.channel.ChannelInit;
import appia.protocols.udpsimple.RegisterSocketEvent;

/**
 * @author nuno
 */
public class ApplLayer extends Layer {

	public ApplLayer(){
		super();
		
		/*
		 * Eventos que a Layer precisa para o seu bom funcionamento
		 * Estes eventos so um subconjunto dos eventos que a Layer aceita.
		 * Os eventos que so gerados por outra componente do sistema que
		 * no uma sesso (ou camada) atravz da funo asyncGo() no devem ser
		 * colocados aqui.
		 */		
		evRequire = new Class[1];
		evRequire[0] = ChannelInit.class;
		/*
		 * Eventos que a Layer aceita. S estes vo ser entregues  sesso correspondente. 
		 */
		evAccept = new Class[4];
		evAccept[0] = ChannelInit.class;
		evAccept[1] = MouseMovedEvent.class;
		evAccept[2] = ButtonStartEvent.class;
		evAccept[3] = MoveBallTimer.class;
		/*
		 * Eventos criados por esta Layer.
		 * Uma Layer pode reencaminhar os eventos que lhe chegam sem precisar
		 * de os criar. Se os quiser criar, teram de ser colocados aqui.
		 */
		evProvide = new Class[1];
		evProvide[0] = RegisterSocketEvent.class;
	}

	public Session createSession() {
		return new ApplSession(this);
	}

}
